﻿<form>
    @Html.AntiForgeryToken()
    <input type="hidden" id="entidad" value="Genre" />

    <div>
        <label class="fw-bold">Id</label>
        <span id="id"></span>
    </div>
    <div>
        <label class="fw-bold">Nombre</label>
        <span id="nombre"></span>
    </div>
    <div class="pt-2">
        <button type="button" class="btn btn-primary" onclick="setData()">Eliminar</button>
        <button type="button" class="btn btn-secondary" onclick="cancelar()">Cancelar</button>
    </div>
</form>

<script src="~/js/crud/delete.js"></script>
<script>
    function setData() {
        const nombre = document.getElementById("nombre").value;

        const jsonData = {
            'Nombre': nombre
        };
        eliminar(jsonData);
    }

    function fillData(data) {
        document.getElementById("id").textContent = data.id;
        document.getElementById("nombre").textContent = data.nombre;
    }

    cargarDatos();
</script>
